Search
K
Illustration-Client-Cases

Zinnia Illustration Client Cases Api

v1OAS 3.0

Zinnia Illustration Client Cases Api - OpenAPI 3.0 spec

API Base URL
  • Server 1:https://dev.api.zinnia.io

    Main server address for this environment

Security
Auth0 (openIdConnect)

Get a single client case with the specified id

get
https://dev.api.zinnia.io/client-case-manager/v1/client-case/{caseId}

Path Parameters

caseIdstring(uuid)required

Response

application/json

Client case found

ClientCaseDto

* Additional properties are NOT allowed.
agencyIdstring | null
agencyNamestring | null
idstring(uuid)
carrierCodearray | null[string]
submittedboolean
titlestring | null
caseManagementCaseIdstring | null
eAppIdstring | null
planCodearray | null[string]
allowAgentEditboolean
agentDetailsobject
* Additional properties are NOT allowed.
Show Child Parameters
insuredDetailsobject
* Additional properties are NOT allowed.
Show Child Parameters
transactionTypestring

Allowed values:REPLACEMENTNONREPLACEMENTCONVERSION

isMecboolean
originalFaceAmountnumber | null(double)
illustrationsarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
lastModifiedstring(date-time)
lastModifiedBystring | null
createdBystring | null
creatorNamestring | null
get/client-case-manager/v1/client-case/{caseId}
 
application/json

Update an existing client case

patch
https://dev.api.zinnia.io/client-case-manager/v1/client-case/{caseId}

Path Parameters

caseIdstring(uuid)required

Body

ClientCaseUpdateInputDto

* Additional properties are NOT allowed.
titlestring | null
agencyIdstring | null
caseManagementCaseIdstring | null
eAppIdstring | null
agentDetailsobject
* Additional properties are NOT allowed.
Show Child Parameters
insuredDetailsobject
* Additional properties are NOT allowed.
Show Child Parameters

Response

application/json

Client case updated successfully

ClientCaseDto

* Additional properties are NOT allowed.
agencyIdstring | null
agencyNamestring | null
idstring(uuid)
carrierCodearray | null[string]
submittedboolean
titlestring | null
caseManagementCaseIdstring | null
eAppIdstring | null
planCodearray | null[string]
allowAgentEditboolean
agentDetailsobject
* Additional properties are NOT allowed.
Show Child Parameters
insuredDetailsobject
* Additional properties are NOT allowed.
Show Child Parameters
transactionTypestring

Allowed values:REPLACEMENTNONREPLACEMENTCONVERSION

isMecboolean
originalFaceAmountnumber | null(double)
illustrationsarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
lastModifiedstring(date-time)
lastModifiedBystring | null
createdBystring | null
creatorNamestring | null
patch/client-case-manager/v1/client-case/{caseId}

Body

{}
 
application/json